Name:           salpack
Version:	1.0.114
Release:        1%{?dist}
Summary:        SAL's default settings
BuildArch:	noarch

Group:          System Environment/Base
License:        GPLv2+
Source:		salpack.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
Requires:       crontabs, util-linux, ntp, bind-utils
Requires:	yum-cron, yum-utils, bash-completion
Requires:	rsync, mc, joe, pv, screen, bc, audit
Requires:	ntsysv, tmpwatch

%description
SAL's default system settings.


%package mail
Summary:        SAGATOR's mail packages
Group:          System Environment/Base
Requires: %{name}, postfix, dovecot, mysql-server, mutt, mlocate
Requires: cyrus-sasl-md5, cyrus-sasl-plain, cyrus-sasl-sql
# SAGATOR
Requires: sagator, clamav-data-empty, clamav-update, unarj, arc
Requires: spamassassin, perl-Razor-Agent, pyzor
Requires: MySQL-python, rrdtool-python
#Requires: sagator-release

%description mail
SAL's default mail packages.


%package web
Summary:        SAL's web packages
Group:          System Environment/Base
Provides:       %{name}-www = %{version}-%{release}
Requires: %{name}
Requires: mlocate
Requires: httpd, mod_ssl
Requires: php, php-mbstring, php-mysql, php-pear, php-gd, php-mcrypt
Requires: php-xml, php-xmlrpc, php-soap, php-tidy
Requires: mysql-server, phpMyAdmin
Requires: apache-top, pcapy
# required for logwatch
Requires: postfix

%description web
SAL's default web packages.


%package stats
Summary:        SAL's stats packages (nagios)
Group:          System Environment/Base
Requires: %{name}
Requires: httpd, mod_ssl, postfix, telnet, mrtg, rrdtool
Requires: nagios
Requires: nagios-plugins nagios-plugins-icmp nagios-plugins-dns
Requires: nagios-plugins-users nagios-plugins-udp nagios-plugins-swap
Requires: nagios-plugins-ping nagios-plugins-dhcp nagios-plugins-dummy
Requires: nagios-plugins-load nagios-plugins-nagios nagios-plugins-smtp
Requires: nagios-plugins-procs nagios-plugins-http nagios-plugins-disk
Requires: nagios-plugins-mysql nagios-plugins-tcp nagios-plugins-ssh
Requires: nagios-plugins-nrpe
Requires: nagios-plugins-check_sip
Requires: nagios-plugins-ifoperstatus nagios-plugins-ifstatus
Requires: pnp4nagios

%description stats
SAL's stats packages. Including:
  nagios
  pnp4natios
  mrtg
  rrdtool


%package nrpe
Summary:	Nagios NRPE daemon and required plugins
Group:		System Environment/Base
Requires: nrpe nagios-plugins-users nagios-plugins-load
Requires: nagios-plugins-disk nagios-plugins-procs
Requires: nagios-plugins-mailq nagios-plugins-swap

%description nrpe
Nagios NRPE daemon and required plugins.


%package kvm
Summary:	KVM virtualization (host)
Group:		System Environment/Base
Provides: %{name}-virt = %{version}-%{release}
Provides: %{name}-host = %{version}-%{release}
Requires: %{name}
Requires: qemu-kvm, libvirt, python-virtinst, bridge-utils, vconfig
Requires: postfix, mlocate, dstat, iotop, telnet
Requires: wireshark, ngrep

%description kvm
KVM virtualization server for virtual host system.

%package vm
Summary:	Virtual machine (guest)
Group:		System Environment/Base
Provides: %{name}-guest = %{version}-%{release}
Requires: %{name}
Requires: acpid

%description vm
Virtualization for virtual machines: guests.


%prep
%setup -q -n mypack


%build
if [ %{dist} = ".fc6" ]; then
  echo -e ',s/-fX$/-fcX/\nw\nq' | ed etc/yum.repos.d/upjs.repo
else
  echo "New fedora detected: %{dist}"
fi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -arf etc var usr $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 = 1 ]; then # install
  /sbin/chkconfig yum-cron on
  [ ! -f /var/lock/subsys/yum-cron ] && /etc/init.d/yum-cron start || true
fi

# do not remove /etc/sysconfig/iptables
%posttrans
if [ -f /etc/sysconfig/iptables.rpmsave ]; then
  if [ ! -f /etc/sysconfig/iptables ]; then
    cp -a /etc/sysconfig/iptables.rpmsave /etc/sysconfig/iptables
  fi
fi

%post kvm
if [ $1 = 1 ]; then # install
  /sbin/chkconfig --add virt-shutdown
  /sbin/service virt-shutdown start
fi

%post vm
# disable text-mode screensaver for virtual machines
if grep -q "QEMU Virtual CPU" /proc/cpuinfo; then
  /sbin/chkconfig --add disable-screensaver
  /sbin/service disable-screensaver start
fi

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*.repo
%config %{_sysconfdir}/sysconfig/iptables.default
%dir %{_sysconfdir}/mrtg
%config(noreplace) %{_sysconfdir}/mrtg/*
%{_var}/www/mrtg/example.html
%exclude %{_sysconfdir}/httpd
%exclude %{_sysconfdir}/nagios
%{_datadir}/logwatch/dist.conf/services/latest-kernel.conf
%{_datadir}/logwatch/scripts/services/latest-kernel
%{_bindir}/restricted-rsync
%{_sbindir}/salpack-static-network
%{_sbindir}/salpack-all

%files mail
%defattr(-,root,root,-)

%files web
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/logrotate.d/virtualhost
%config(noreplace) %{_sysconfdir}/httpd/split-logfile.py
%exclude %{_sysconfdir}/httpd/split-logfile.py[co]
%dir %{_var}/log/apache/_
%attr(0755,root,root) %{_sbindir}/httop.py

%files stats
%defattr(-,root,root,-)
%{_sysconfdir}/nagios/restart
%dir %{_sysconfdir}/nagios/templates
%{_sysconfdir}/nagios/templates/ngreconfig.py
%config(noreplace) %{_sysconfdir}/nagios/templates/dns
%config(noreplace) %{_sysconfdir}/nagios/templates/global
%config(noreplace) %{_sysconfdir}/nagios/extinfo
%config(noreplace) %{_sysconfdir}/nagios/main
%dir %{_sysconfdir}/nagios/salpack
%config(noreplace) %{_sysconfdir}/nagios/salpack/*.cfg
%{_libdir}/nagios/plugins/check_ldap_upjs
%{_libdir}/nagios/plugins/check_mysql_perf
%{_libdir}/nagios/plugins/check_apcupsd
%config %{_sysconfdir}/pnp4nagios/check_commands/check_*.cfg
%{_datadir}/nagios/html/pnp4nagios/templates/check_*.php

%files nrpe
%defattr(0755,root,root,-)
%{_libdir}/nagios/plugins/check_recv_mail
%{_libdir}/nagios/plugins/check_procs_perf
%{_libdir}/nagios/plugins/check_eth
%{_libdir}/nagios/plugins/check_eth.sh
%{_libdir}/nagios/plugins/check_quota
%{_libdir}/nagios/plugins/check_sync
%{_libdir}/nagios/plugins/check_aacraid

%files kvm
%defattr(0755,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/virt-backup
%{_sbindir}/virt-backup
%{_sysconfdir}/rc.d/init.d/virt-shutdown
%config(noreplace) %{_sysconfdir}/sysconfig/virt-shutdown

%files vm
%defattr(0755,root,root,-)
%{_sysconfdir}/rc.d/init.d/disable-screensaver
%{_sbindir}/salpack-update-guest


%changelog
* Wed Feb 6 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - __UPDATED_LATER__-1
- this changelog is not updated
